#include<iostream.h>
class A1
{
 public:
   void display(void);
};
void A1::display(void)
{
   cout<<"A1::display"<<endl;
}
class A2
{
 public:
   void display(void);
};
void A2::display(void)
{
   cout<<"A2::display"<<endl;
}
class A3:public A1,public A2
{
 public:
   void display(void);
};
void A3::display(void)
{
   cout<<"A3::display"<<endl;
}
int main()
{
   A3 s;
   s.A1::display();
   s.A2::display(); 
   s.display(); 
   return(0);
}